SuperLU: SRC/ilu_sdrop_row.c File Reference

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ilu_sdrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_sdefs.h"`
Include dependency graph for ilu_sdrop_row.c:

## Functions
void | sswap_ (int *, float[], int *, float[], int *)
void | saxpy_ (int *, float *, float[], int *, float[], int *)
void | scopy_ (int *, float[], int *, float[], int *)
float | sasum_ (int *, float *, int *)
float | snrm2_ (int *, float *, int *)
double | dnrm2_ (int *, double[], int *)
int | isamax_ (int *, float[], int *)
static int | _compare_ (const void *a, const void *b)
int | ilu_sdrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, float swork[], float swork2[], int lastc)

## Variables
static float * | A

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 4.1) –
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

static int _compare_ | ( | const void * | a,
|  | const void * | b
| ) |  |
| static

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

int ilu_sdrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | float | swork[],
|  | float | swork2[],
|  | int | lastc
| ) |  |

#

    Purpose

       ilu_sdrop_row() - Drop some small rows from the previous
       supernode (L-part only).

Here is the call graph for this function:

int isamax_ | ( | int * | ,
|  | float | [],
|  | int * |
| ) |  |

float sasum_ | ( | int * | ,
|  | float * | ,
|  | int * |
| ) |  |

void saxpy_ | ( | int * | ,
|  | float * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |
| ) |  |

void scopy_ | ( | int * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |
| ) |  |

float snrm2_ | ( | int * | ,
|  | float * | ,
|  | int * |
| ) |  |

void sswap_ | ( | int * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |
| ) |  |

## Variable Documentation

float* A
| static